# fontAwesomePicker

[![npm](https://img.shields.io/npm/v/font-awesome-picker.svg) ![npm](https://img.shields.io/npm/dm/font-awesome-picker.svg)](https://www.npmjs.com/package/fontawesomepicker)
[![vue2](https://img.shields.io/badge/vue-2.x-brightgreen.svg)](https://vuejs.org/)

A Vue.js Plugin to easily pick a FontAwesome icon and use it as you wish.

## Table of contents

- [Installation](#installation)
- [Usage](#usage)
- [Options](#options)

# Installation

```
npm install --save font-awesome-picker
```

# Usage

Install the component:

```javascript
import Vue from 'vue';
import { cfontAwesomePicker } from 'font-awesome-picker';

export default {
    name: 'yourComponent',
    components: {
        'c-font-awesome-picker': cfontAwesomePicker,
    },
}
```

Instance as a custom element:

```html
<c-font-awesome-picker></c-font-awesome-picker>
```

Import style

```sass
@import 'node_modules/font-awesome-picker/dist/font-awesome-picker.css';
```
# Options

## Searchbox

To change the search box placeholder:

```html
<c-font-awesome-picker seachbox="search here"></c-font-awesome-picker>
```

## Result

To get the result from the cfontAwesomePicker

```html
<c-font-awesome-picker v-on:selectIcon="yourFunction"></c-font-awesome-picker>
```

It will emit a object as a result:

```javascript
{
    className: 'fa-home',
    cssValue: 'F015',
}
```

[MIT](http://opensource.org/licenses/MIT)
